Please select Into the mobile phone version | Continue to access the computer ver.
Mavic & Phantom specs wrong
489 0 2017-12-10
Uploading and Loding Picture ...(0/1)
o(^-^)o
RocketChap
Second Officer
Flight distance : 902034 ft
United Kingdom
Offline

Dear DJI folk - the Specs on the Mavic Pro, Mavic Pro Platinum & Phantom4 all say the required operating system for DJI GO 4 is "Android 4.1.2 or later" where as in fact the minimum operating system is Android 4.4.0 according to the downloads page (and eleswhere).  Also it doesn't download to my 4.1.2 device "Your device isn't compatible with this version".

Just thought you might want to know and get it corrected.  

Just  a source of annoyance to me since I had a 4.1.2 Android tablet when I bought my Mavic and factored that into my buying decision.  So in addition to the Mavic I had to shell out for a  new tablet too

Specs pages:
https://www.dji.com/mavic/info#specs
https://www.dji.com/phantom-4/info#specs

Downloads pages:
https://www.dji.com/phantom-4/info#downloads
https://www.dji.com/mavic/info#downloads



2017-12-10
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules